## gtranslator 42.0

=== debian/changelog ===
gtranslator (42.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build with libsoup3 instead of libsoup2.4
  * debian/control.in: Drop obsolete Build-Depends on libdazzle-1.0-dev
  * debian/control.in: Bump minimum libglib2.0-dev & libhandy-1-dev
  * Drop meson patch: applied in new release
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 16:45:34 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gtranslator
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               meson (>= 0.50.0),
               libgettextpo-dev,
               gsettings-desktop-schemas-dev,
               gobject-introspection (>= 0.9.3),
               libgirepository1.0-dev (>= 0.9.3),
               itstool,
               libgda-5.0-dev,
               libgdl-3-dev (>= 3.6.0),
               libglib2.0-dev (>= 2.71.3),
               libgspell-1-dev (>= 1.2.0),
               libgtksourceview-4-dev (>= 4.0.2),
               libgtk-3-dev (>= 3.4.2),
               libhandy-1-dev (>= 1.5.0),
               libjson-glib-dev,
               libsoup-3.0-dev,
               libxml2-dev (>= 2.4.12),
               libxml2-utils,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/gnome-team/gtranslator
Vcs-Git: https://salsa.debian.org/gnome-team/gtranslator.git
Homepage: https://wiki.gnome.org/Apps/Gtranslator

Package: gtranslator
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas,
         iso-codes
Suggests: libpeas-1.0-python2loader
Description: PO-file editor for the GNOME Desktop
 GNOME Translation Editor is a po file editor which makes translating gettext
 applications as easy as possible, even for people with no translation
 experience.
 .
 It supports the usage of translation memories, syntax highlighting, spell
 checking, undoing of insertions and deletions, and general integration with
 the GNOME Desktop.

## gtranslator 45.3

=== debian/changelog ===
gtranslator (45.3-2) unstable; urgency=medium

  * Add libspelling to Build-Depends
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jan 2024 06:08:17 -0500

gtranslator (45.3-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Build with gtk4 & libadwaita
  * Spellchecking is temporarily unavailable until
    libspelling is accepted into Debian
  * Stop using debian/control.in and dh-sequence-gnome
  * Refresh patch

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Dec 2023 13:35:27 -0500

=== debian/control ===
Source: gtranslator
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Jordi Mallach <jordi@debian.org>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               gobject-introspection (>= 0.9.3),
               gsettings-desktop-schemas-dev,
               itstool,
               libadwaita-1-dev (>= 1.2),
               libgda-5.0-dev,
               libgdl-3-dev (>= 3.6.0),
               libgettextpo-dev,
               libgirepository1.0-dev (>= 0.9.3),
               libglib2.0-dev (>= 2.71.3),
               libgtk-4-dev (>= 4.6.0),
               libgtksourceview-5-dev (>= 5.4.0),
               libjson-glib-dev,
               libsoup-3.0-dev,
               libspelling-1-dev,
               libxml2-dev (>= 2.4.12),
               libxml2-utils,
               meson (>= 0.50.0)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gtranslator
Vcs-Git: https://salsa.debian.org/gnome-team/gtranslator.git
Homepage: https://wiki.gnome.org/Apps/Gtranslator

Package: gtranslator
Architecture: any
Depends: gsettings-desktop-schemas,
         iso-codes,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libpeas-1.0-python2loader
Description: PO-file editor for the GNOME Desktop
 GNOME Translation Editor is a po file editor which makes translating gettext
 applications as easy as possible, even for people with no translation
 experience.
 .
 It supports the usage of translation memories, syntax highlighting, spell
 checking, undoing of insertions and deletions, and general integration with
 the GNOME Desktop.

## gtranslator 46.0

=== meson_options.txt ===
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option (
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default'
)
option (
  'dl_server',
  type: 'string',
  value: 'https://l10n.gnome.org',
  description: 'Damned lies Server'
)

=== debian/changelog ===
gtranslator (46.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:03:50 +1100

gtranslator (46.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libdawaita to 1.5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Mar 2024 16:20:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gtranslator
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Jordi Mallach <jordi@debian.org>,
            Laurent Bigonville <bigon@debian.org>
@@ -9,13 +10,13 @@
                gobject-introspection (>= 0.9.3),
                gsettings-desktop-schemas-dev,
                itstool,
-               libadwaita-1-dev (>= 1.2),
+               libadwaita-1-dev (>= 1.5),
                libgda-5.0-dev,
                libgdl-3-dev (>= 3.6.0),
                libgettextpo-dev,
                libgirepository1.0-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.71.3),
-               libgtk-4-dev (>= 4.6.0),
+               libgtk-4-dev (>= 4.12.0),
                libgtksourceview-5-dev (>= 5.4.0),
                libjson-glib-dev,
                libsoup-3.0-dev,

## gtranslator 46.1

=== debian/changelog ===
gtranslator (46.1-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: desktop-file-utils

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 May 2024 14:35:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gtranslator
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Jordi Mallach <jordi@debian.org>,
            Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               desktop-file-utils,
                gobject-introspection (>= 0.9.3),
                gsettings-desktop-schemas-dev,
                itstool,

## gtranslator 47.0

=== debian/changelog ===
gtranslator (47.0-1) unstable; urgency=medium

  * New upstream release (LP: #2083743)
  * Bump minimum libadwaita
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 05 Oct 2024 07:51:23 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                gobject-introspection (>= 0.9.3),
                gsettings-desktop-schemas-dev,
                itstool,
-               libadwaita-1-dev (>= 1.5),
+               libadwaita-1-dev (>= 1.6),
                libgda-5.0-dev,
                libgdl-3-dev (>= 3.6.0),
                libgettextpo-dev,
@@ -25,7 +25,7 @@
                libxml2-utils,
                meson (>= 0.50.0)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtranslator
 Vcs-Git: https://salsa.debian.org/gnome-team/gtranslator.git
 Homepage: https://wiki.gnome.org/Apps/Gtranslator

## gtranslator 47.1

=== debian/changelog ===
gtranslator (47.1-2) unstable; urgency=medium

  * Remove unused Build-Depends: libgdl-3-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Dec 2024 10:26:54 -0500

gtranslator (47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Dec 2024 13:09:11 -0500

## gtranslator 48.0

=== debian/changelog ===
gtranslator (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Mar 2025 17:17:14 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                itstool,
                libadwaita-1-dev (>= 1.6),
                libgda-5.0-dev,
-               libgdl-3-dev (>= 3.6.0),
                libgettextpo-dev,
                libgirepository1.0-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.71.3),

## gtranslator 49.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,3 @@
-option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
 option (
   'profile',
   type: 'combo',

=== debian/changelog ===
gtranslator (49.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update Build-Depends: libsqlite3-dev instead of libgda-5.0-dev
  * Bump minimum glib and libadwaita
  * debian/copyright: remove old FSF address
  * Remove remaining patch: no longer needed

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev B-D with libgirepository-1.0-dev
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 14:22:23 -0400

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,22 @@
            Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
-               gobject-introspection (>= 0.9.3),
                gsettings-desktop-schemas-dev,
                itstool,
-               libadwaita-1-dev (>= 1.6),
-               libgda-5.0-dev,
+               libadwaita-1-dev (>= 1.8~alpha),
                libgettextpo-dev,
-               libgirepository1.0-dev (>= 0.9.3),
-               libglib2.0-dev (>= 2.71.3),
+               libgirepository-1.0-dev (>= 0.9.3),
+               libglib2.0-dev (>= 2.76),
                libgtk-4-dev (>= 4.12.0),
                libgtksourceview-5-dev (>= 5.4.0),
                libjson-glib-dev,
                libsoup-3.0-dev,
                libspelling-1-dev,
+               libsqlite3-dev,
                libxml2-dev (>= 2.4.12),
                libxml2-utils,
                meson (>= 0.50.0)
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtranslator
 Vcs-Git: https://salsa.debian.org/gnome-team/gtranslator.git
 Homepage: https://wiki.gnome.org/Apps/Gtranslator
